<?php
namespace app\api\controller;

use think\Controller;
use think\Loader;

class Get extends Controller
{
    public function info()
    {
        $last_info = Loader::model('update')->getLastInfo();
        $data      = [
            'status_code' => 200,
            'software'    => [
                'current_version' => $last_info['update_version_raw'],
                'build_date'      => $last_info['build_date'],
                'release_notes'   => $last_info['release_notes'],
            ],
            'status_txt'  => 'ok',
        ];
        header("Access-Control-Allow-Origin:*");
        return json($data);
    }
}
