<?php
namespace app\control\model;

use think\Db;

class Invitation
{
    public function getKeyInfo($key)
    {
        return Db::name('invitation')->where('invitation', $key)->find();
    }

    public function useKey($key, $domain)
    {
        return Db::name('invitation')->where('invitation', $key)->update([
            'invitation_domain' => $domain,
            'update_at'         => time(),
        ]);
    }

    public function addKey($domain = null)
    {
        $data = array_filter([
            'invitation'        => md5(time() . rand(1, 99999)),
            'invitation_domain' => $domain,
            'create_at'         => time(),
        ]);
        if (Db::name('invitation')->insert($data)) {
            return $data['invitation'];
        }
    }
}
