<?php
namespace app\control\model;

use think\Db;

class Update
{
    public function getLastVersion($is_down = 1)
    {
        return Db::name('update')->where('is_down', $is_down)->max('update_version');
    }

    public function addVersion($data)
    {

        $data['create_at'] = time();
        return Db::name('update')->insert($data);
    }

    public function downSuccess($version, $filename)
    {
        $data['is_down']   = 1;
        $data['down_path'] = $filename;
        $data['update_at'] = time();
        // var_dump($data, $version);
        Db::name('update')->where('update_version', $version)->update($data);
    }

    public function getLastInfo()
    {
        return Db::name('update')->order('update_version desc')->find();
    }
}
